Page 1 of 2

Upgrade to 3.2 didn't go so well.

Posted: Thu Feb 22, 2018 7:30 am
by JohnW63
I'll come right out and say it, I didn't make a backup of my forum first. I've had such good luck with updates, I got lazy.

The forum works,the syle is all messed up, but the update stopped at the " encountered a timeout..." error during the last part of the update. Now, when I try to rerun the update process, it gives me an error and the line it seems to be trying to update is "phpbb/db/migration/data/v32x/fix_user_styles.php "

I've seen threads that talk about updating php files to increase file timeout and other variables. I checked my cpanel and it doesn't list those variables.

There was a long list of files it didn't find in the update that I was instructed to remove before the install would let me continue. Many were a sub style of the default style. I run Proformell. I got the newest version of Proformell and copied those files in the proformell folder vai FTP.

What should be my next steps to get the forum looking correct and verifying the forum is working properly ?

Re: Upgrade to 3.2 didn't go so well.

Posted: Thu Feb 22, 2018 8:03 am
by warmweer
Try this:

Open phpbb/db/migration/data/v32x/fix_user_styles.php & find:
$enabled_styles = $result->fetch_array();
Replace with:
$enabled_styles = $this->db->sql_fetchrowset($result);

Re: Upgrade to 3.2 didn't go so well.

Posted: Thu Feb 22, 2018 8:11 am
by warmweer
JohnW63 wrote:
Thu Feb 22, 2018 7:30 am
There was a long list of files it didn't find in the update that I was instructed to remove before the install would let me continue. Many were a sub style of the default style. I run Proformell. I got the newest version of Proformell and copied those files in the proformell folder vai FTP.
First of all as far as I know Proformell isn't up to date with 3.2.2 so you're treading into noman's land there.

Secondly, and probably the most important.
The fact that you mention proformell makes me think that you're upgrading (not updating) while proformell is the default style, and from 3.1.x.

You should give more information (use the Support Template) so that it's clear what you did exactly.

Re: Upgrade to 3.2 didn't go so well.

Posted: Thu Feb 22, 2018 2:16 pm
by JohnW63
I upgraded from 3.1.10 to 3.2.2

Re: Upgrade to 3.2 didn't go so well.

Posted: Thu Feb 22, 2018 3:09 pm
by RMcGirr83

Re: Upgrade to 3.2 didn't go so well.

Posted: Thu Feb 22, 2018 3:19 pm
by Lumpy Burgertushie
from your description you were trying to do the auto update.
try this instead:
https://www.phpbb.com/support/docs/en/3 ... ating-32x/

robert

Re: Upgrade to 3.2 didn't go so well.

Posted: Thu Feb 22, 2018 3:48 pm
by JohnW63
I'll try that when I get home...

Should I Post the Support Template info here, or what until I try the last suggestion ?

Re: Upgrade to 3.2 didn't go so well.

Posted: Fri Feb 23, 2018 1:38 am
by JohnW63
I followed the link to the alternate instructions, posted above and I am still in the same place. It doesn't allow me to walk through the full install or update steps. When I go to the update tab and press update, it just goes straight to the last section down and throws the error I mentioned before about "...fix_user_styles.php "

Here is the support template info:


Support Request Template
What version of phpBB are you using? phpBB 3.2.2
What is your board's URL? www.fihsf1.net/forum
Who do you host your board with? Hosting_MDS
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Update from a previous version of phpBB3
Is registration required to reproduce this issue? No
Do you have any MODs installed? No
Do you have any extensions installed? Yes
What version of phpBB3 did you update from? phpBB 3.1.10
What extensions do you have installed? Site Logo ver 1.0
What styles do you currently have installed? Proformell
What language(s) is your board currently using? English
Which database type/version are you using? MySQL 5
What is your level of experience? Comfortable with PHP and phpBB
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? Updating the board from 3.1.10 to 3.2.2 . Tried the auto install method
Please describe your problem. All the graphics and buttons the first levels of the forum are a mess. I have icons for buttons where the backgrounds should be.
Generated by SRT Generator

Re: Upgrade to 3.2 didn't go so well.

Posted: Fri Feb 23, 2018 1:58 am
by JohnW63
I installed another Style and the forum looks much better. The remark the Proformell was not compatible was spot on. However, when I visit the Admin Control panel, I still have two errors.

1) "Your phpBB version has not been correctly updated "

2) the File Version says 3.2.2 but the database version is 3.2.1

What file tells it that It should allow the updater to run through all the steps, and not send me to the last steps ? If I need to do some update to get the database to the right version, I want to make sure it can do that.

Re: Upgrade to 3.2 didn't go so well.

Posted: Fri Feb 23, 2018 2:35 am
by Lumpy Burgertushie
check in the folder named store
see if you have this file and delete it:
install_config.php
then upload the folder named install from the complete package, not the autoupdate package.

then run the database update again.
click on update tab
click on update
click on update database only.


robert

Re: Upgrade to 3.2 didn't go so well.

Posted: Fri Feb 23, 2018 3:52 am
by JohnW63
Well, did that.

It still got the "Installer Detected a time out " error. It had this for progress:

Installing Data: \phpbb\db\migration\data\v32x\fix_user_styles.
Skip “installer.update_filesystem.download_updated_files” task
Skip “installer.update_filesystem.update_files” task
Skip “installer.update_filesystem.show_file_status” task
Skip “installer.update_filesystem.diff_files” task
Skip “installer.update_filesystem.check_task” task
Skip “installer.obtain_data.update_ftp_settings” task
Skip “installer.obtain_data.update_files” task
Skip “installer.obtain_data.file_updater_method” task

I don't know whether to hit refresh or not. I don't think I can get to a Command Line Interface, since my Host just gives me access to the Cpanel.
I hide the install folder and relaunched the forum. Still have a Database version older than software version.

Re: Upgrade to 3.2 didn't go so well.

Posted: Fri Feb 23, 2018 4:21 am
by kinerity
What is your DBMS variable set to in config.php? If it is "mysql", change it to "mysqli". Then run the database update again.

Code: Select all

$dbms = 'phpbb\\db\\driver\\mysqli';

Re: Upgrade to 3.2 didn't go so well.

Posted: Fri Feb 23, 2018 4:56 am
by JohnW63
I checked a backup I made in 2015 and it was set for mysql, back then. It still is now.

Re: Upgrade to 3.2 didn't go so well.

Posted: Fri Feb 23, 2018 6:02 am
by Lumpy Burgertushie
change it to mysqli

the new version usually requires it partly because mysql has been deprecated some time ago.


robert

Re: Upgrade to 3.2 didn't go so well.

Posted: Fri Feb 23, 2018 9:00 am
by warmweer
JohnW63 wrote:
Fri Feb 23, 2018 1:38 am
I followed the link to the alternate instructions, posted above and I am still in the same place. It doesn't allow me to walk through the full install or update steps. When I go to the update tab and press update, it just goes straight to the last section down and throws the error I mentioned before about "...fix_user_styles.php "
Did you apply viewtopic.php?f=556&t=2460736#p14945246?